Name:           fcitx-qt5
Summary:        Fcitx IM module for Qt5
Version:        1.2.7
Release:        %mkrel 2
Group:          System/Internationalization
# The entire source code is GPLv2+ except
# platforminputcontext/keyserver_x11.h which is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://github.com/fcitx/fcitx-qt5
Source0:        https://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
Patch0:         fcitx-qt5-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(fcitx)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  extra-cmake-modules
Requires:       fcitx

%description
This package provides Fcitx Qt5 input context.

%package devel
Summary:        Development files for fcitx-qt5
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using fcitx-qt5 libraries.

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README COPYING
%{_libdir}/libFcitxQt5DBusAddons.so.*
%{_libdir}/libFcitxQt5WidgetsAddons.so.*
%{_libdir}/fcitx/libexec/fcitx-qt5-gui-wrapper
%dir %{_libdir}/fcitx/qt
%{_libdir}/fcitx/qt/libfcitx-quickphrase-editor5.so
%{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/libFcitxQt5DBusAddons.so
%{_libdir}/libFcitxQt5WidgetsAddons.so


%changelog
* Sat Jul 12 2025 daviddavid <daviddavid> 1.2.7-2.mga10
+ Revision: 2253383
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Nov 01 2023 daviddavid <daviddavid> 1.2.7-1.mga10
+ Revision: 2003333
- new version: 1.2.7

* Thu Jan 05 2023 daviddavid <daviddavid> 1.2.6-1.mga9
+ Revision: 1929984
- new version: 1.2.6

* Tue Apr 05 2022 umeabot <umeabot> 1.2.5-3.mga9
+ Revision: 1844965
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.2.5-2.mga8
+ Revision: 1658389
- Rebuild for new Qt5

* Thu Nov 19 2020 daviddavid <daviddavid> 1.2.5-1.mga8
+ Revision: 1647702
- new version: 1.2.5

* Thu Feb 20 2020 umeabot <umeabot> 1.2.4-2.mga8
+ Revision: 1546572
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 1.2.4-1.mga8
+ Revision: 1486772
- new version: 1.2.4
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 1.2.3-3.mga7
+ Revision: 1381647
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.3-2.mga7
+ Revision: 1297674
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 daviddavid <daviddavid> 1.2.3-1.mga7
+ Revision: 1243622
- new version: 1.2.3

* Mon Feb 13 2017 neoclust <neoclust> 1.1.0-2.mga6
+ Revision: 1085969
- Rebuild for ARM

* Sat Feb 11 2017 yochenhsieh <yochenhsieh> 1.1.0-1.mga6
+ Revision: 1085693
- New version 1.1.0

* Tue Jan 03 2017 yochenhsieh <yochenhsieh> 1.0.6-1.mga6
+ Revision: 1079893
- New version 1.0.6

* Sun May 08 2016 yochenhsieh <yochenhsieh> 1.0.5-7.mga6
+ Revision: 1010518
- file section re-organize for better dependency

* Sat May 07 2016 yochenhsieh <yochenhsieh> 1.0.5-6.mga6
+ Revision: 1010296
- move libFcitxQt5widgets to devel package.

* Fri May 06 2016 yochenhsieh <yochenhsieh> 1.0.5-5.mga6
+ Revision: 1009948
- fix -devel package group.
- imported package fcitx-qt5

